
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>SQL SERVER完整、差异和事务日志备份及还原(脚本和GUI实现) / iVAN</title>

    <meta name="description" content="SQL SERVER完整、差异和事务日志备份及还原(脚本和GUI实现) 原文:SQL SERVER完整.差异和事务日志备份及还原(脚本和GUI实现) [原创] 一．完整备份.差异备份和事务日志备份的脚本 --完整备份数据库 BACKUP DATABASE Test_Bak TO DISK = 'E:\20150609_75\bak\Test_bak_full.bak' WITH INIT --差异备份数据库 BACKUP DATABASE Test_Bak TO DISK = 'E:\20150609_75\bak\Test_bak_diff.bak' WITH I">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">SQL SERVER完整、差异和事务日志备份及还原(脚本和GUI实现)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>原文:<a href="http://www.cnblogs.com/suixinpeng/p/4572264.html" rel="external nofollow noreferrer">SQL SERVER完整、差异和事务日志备份及还原(脚本和GUI实现) [原创]</a><br />
<br /><strong>一．完整备份、差异备份和事务日志备份的脚本</strong></p>
<p>--完整备份数据库</p>
<pre>BACKUP DATABASE Test_Bak TO DISK = 'E:\20150609_75\bak\Test_bak_full.bak' WITH INIT</pre>
<p>--差异备份数据库</p>
<pre>BACKUP DATABASE Test_Bak TO DISK = 'E:\20150609_75\bak\Test_bak_diff.bak' WITH INIT, DIFFERENTIAL   --加上DIFFERENTIAL代表差异备份</pre>
<p>--事务日志备份</p>
<pre>BACKUP LOG Test_Bak TO DISK = 'E:\20150609_75\bak\Test_bak_log.bak' WITH INIT   --BACKUP LOG表示备份事务日志，BACKUP DATABASE表示完整或差异备份</pre>
<p>--备份事务日志，文件名中包含当前时间，适合定时备份</p>
<pre>DECLARE @strbackup NVARCHAR(100)
 --改为日期加时间的
 SET @strbackup = 'E:\20150609_75\bak\Test_bak_log_'
     + REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR, GETDATE(), 120), '-', ''), ' ',
                      ''), ':', '') + '.bak'
 BACKUP LOG Test_Bak TO DISK = @strbackup WITH INIT;
 GO</pre>
<p> </p>
<p><strong> 二. 还原需要修改数据文件路径的多文件数据库（做过分区的）</strong></p>
<p>错误：</p>
<p><a href="http://images0.cnblogs.com/blog/345832/201506/121753183797747.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ19iN2U4ODA1NTVmZmQ0NjA0ZTgyMTU5ZGI5MGEwM2YxZC5qcGc=.jpg"></a></p>
<p>上面错误的原因为：原来备份的数据文件在G盘下，还原完整备份时新服务器下不存在G盘这个路径就会报错。</p>
<p>解决办法：可以使用WITH MOVE让数据文件保存到新的有效路径下，首先在磁盘下建立这个有效路径。</p>
<p>正确的还原多文件备份的方法如下：</p>
<p>方法1（脚本）：</p>
<p>还原完整备份：</p>
<pre>RESTORE DATABASE [DigitalLibDB]
FROM  DISK = N'E:\20150609_75\DigitalLibDB_20150609_FULL.bak'   --完整备份的路径
WITH  MOVE 'DigitalLibDB_Data' TO 'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DigitalLibDB.mdf',
    MOVE 'UI0' TO 'C:\Program Files\Microsoft SQL   --重新指定文件的路径，取决文件数量Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DigitalLibDB_1.ndf',
    MOVE 'UI1' TO 'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DigitalLibDB_2.ndf',
    MOVE 'UI10' TO 'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DigitalLibDB_3.ndf',
    MOVE 'UI11' TO 'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DigitalLibDB_4.ndf',
    MOVE 'UI12' TO 'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DigitalLibDB_5.ndf',
    MOVE 'UI13' TO 'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DigitalLibDB_6.ndf',
    MOVE 'UI14' TO 'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DigitalLibDB_7.ndf',
    MOVE 'UI15' TO 'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DigitalLibDB_8.ndf',
    MOVE 'UI16' TO 'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DigitalLibDB_9.ndf',
    MOVE 'UI2' TO 'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DigitalLibDB_10.ndf',
    MOVE 'UI3' TO 'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DigitalLibDB_11.ndf',
    MOVE 'UI4' TO 'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DigitalLibDB_12.ndf',
    MOVE 'UI5' TO 'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DigitalLibDB_13.ndf',
    MOVE 'UI6' TO 'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DigitalLibDB_14.ndf',
    MOVE 'UI7' TO 'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DigitalLibDB_15.ndf',
    MOVE 'UI8' TO 'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DigitalLibDB_16.ndf',
    MOVE 'UI9' TO 'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DigitalLibDB_17.ndf',
    MOVE 'ftrow_RegInfo_UnitName' TO 'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DigitalLibDB_18.ndf',
    MOVE 'DigitalLibDB_Log' TO 'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\DigitalLibDB_Log.ldf',
STATS = 10, REPLACE,
NORECOVERY
GO</pre>
<p>WITH MOVE TO：重新指定文件的路径，WITH MOVE TO数量取决于数据库文件数量</p>
<p>STATS = 10：没完成10%显示一条记录</p>
<p>REPLACE：覆盖现有数据库</p>
<p>NORECOVERY：不对数据库进行任何操作，不回滚未提交的事务</p>
<p>完整备份结果：</p>
<p><a href="http://images0.cnblogs.com/blog/345832/201506/121753237389544.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wYzFjOTNkNGMzMzk5YTdmM2QwMmMxYWRlNWZjZWJkNy5qcGc=.jpg"></a></p>
<p>还原差异备份：（只有一个差异备份的情况，当还原多个差异备份时，通常前面的都用WITH NORECOVERY，还原最后一个差异备份才能用WITH RECOVERY）</p>
<p>注：移动数据文件是完整备份时移动，差异备份和日志备份不保存文件路径，差异备份和日志备份还原时不能移动路径。</p>
<p>RESTORE DATABASE [DigitalLibDB] FROM DISK='E:\20150609_75\新建文件夹\DigitalLibDB_20150610_Diff.bak' WITH RECOVERY</p>
<p>差异备份还原结果：</p>
<p><a href="http://images0.cnblogs.com/blog/345832/201506/121753256135472.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ180NTc4YTM1NDg2YTAxZjQ0ODVlM2NmNGYzMWJkMjJlZi5qcGc=.jpg"></a></p>
<p>方法2:（可视化界面操作）</p>
<p>还原完整备份：</p>
<p>选择还原数据库</p>
<p><a href="http://images0.cnblogs.com/blog/345832/201506/121753277386856.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ184YjNhNGNlYjI3ODlhYjQzODgyN2M5MTY4NzQ2YjgzYy5qcGc=.jpg"></a></p>
<p>选择完整备份路径</p>
<p><a href="http://images0.cnblogs.com/blog/345832/201506/121753291298396.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ183NTU2MTIwNGVmNGY5MGFlM2Q1MDcyNjg4NzlkY2Y5Yy5qcGc=.jpg"></a></p>
<p>选择覆盖现有数据库，选择RESTORE WITH NORECOVERY选项</p>
<p><a href="http://images0.cnblogs.com/blog/345832/201506/121753307692097.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ183NmM2Nzc3NzhlNmZjMDQyZmJjYzhiNWE0NThjYWIwMC5qcGc=.jpg"></a></p>
<p>还原完整备份成功</p>
<p><a href="http://images0.cnblogs.com/blog/345832/201506/121753324579781.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ184NmI3YTUxMTZkZDNmZjAxNDMyZWFmZDc2MDg1MWE2MC5qcGc=.jpg"></a></p>
<p>此时，差异备份还未完成，数据库还处于正在还原状态</p>
<p><a href="http://images0.cnblogs.com/blog/345832/201506/121753334886366.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wZGQ5YzZkZjdlODRlMzJhYzliNmVjNDJjMjk0MjNhYy5qcGc=.jpg"></a></p>
<p>还原差异备份，选择任务-还原-文件和文件组</p>
<p><a href="http://images0.cnblogs.com/blog/345832/201506/121753343795993.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ181OGVhODYzZjdlNjk1ODE0YzFiZjViYTJmY2Y5ZGQ5Zi5qcGc=.jpg"></a></p>
<p><a href="http://images0.cnblogs.com/blog/345832/201506/121753353799820.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ184MzQxYWQ1OWRjMDFlN2I2Yzg5YjBjYTlmMDU2ZTJkYy5qcGc=.jpg"></a></p>
<p><a href="http://images0.cnblogs.com/blog/345832/201506/121753407541146.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ185NjIyMDY5N2Q4MGM5NmUzMmJiZmFjYzI5YzFjYTQ1YS5qcGc=.jpg"></a></p>
<p><a href="http://images0.cnblogs.com/blog/345832/201506/121753455045827.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18zZDhiM2MxOWE5YjdlNjcxOTFkYTM3M2NkYjgyYjk5My5qcGc=.jpg"></a></p>
<p>所以，此时还原这个差异备份还是应该使用脚本来完成，不用移动文件。</p>
<p>RESTORE DATABASE [DigitalLibDB] FROM DISK='E:\20150609_75\新建文件夹\DigitalLibDB_20150610_Diff.bak' WITH RECOVERY --还原差异备份</p>
<p> </p>
<p><strong>三．不需要修改数据库文件路径的差异备份还原</strong></p>
<p>注意：</p>
<p>对于不需要修改数据库文件路径的差异备份还原，使用sqlserver可视化界面还原是没问题的。</p>
<p><a href="http://images0.cnblogs.com/blog/345832/201506/121753471602756.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ19lYjhiMWMzMTVhNjJmM2QwMGZjYWE4NDc2OTE0Mjg2ZC5qcGc=.jpg"></a></p>
<p><a href="http://images0.cnblogs.com/blog/345832/201506/121753501139253.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wYjg5YzExNTY3M2E3Nzc4ODMyYWQ0MTBkOWExNDE4ZS5qcGc=.jpg"></a></p>
<p><a href="http://images0.cnblogs.com/blog/345832/201506/121753513327782.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ19jODE3NWEzMGM5OTViM2QzYTFhYWM2MjViZWZiMGExNC5qcGc=.jpg"></a></p>
<p>此处，还原差异备份成功，原因是备份时文件是C盘下这个目录，还原时还是还原到C盘这个目录，不需要修改路径。</p>
<p>对于不需要修改数据库文件路径的数据库完整备份、差异备份和事务日志备份的还原过程如下（使用脚本）：</p>
<p>--还原顺序：完整备份--差异备份--日志备份</p>
<p>--还原单文件数据库的完整备份,数据库文件路径一致,不用移动路径的情况</p>
<pre>RESTORE DATABASE [Test_Bak]
FROM  DISK = N'E:\20150609_75\local\Test_Bak_full.bak'
WITH
STATS = 10, REPLACE,
NORECOVERY
GO</pre>
<p>--还原差异备份</p>
<pre>RESTORE DATABASE [Test_Bak]
FROM  DISK = N'E:\20150609_75\local\Test_Bak_diff.bak'
WITH
STATS = 10,
NORECOVERY
GO</pre>
<p>--还原日志备份</p>
<pre>RESTORE DATABASE [Test_Bak]
FROM  DISK = N'E:\20150609_75\local\Test_Bak_Log.bak'
WITH
STATS = 10,
RECOVERY</pre>
<p> </p>
<p>希望对你们有所帮助，如果你觉得不错，请在右边推荐一下喔，欢迎拍砖~</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 06:36:06</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/sql/" title="sql">sql</a>, <a href="https://www.iamivan.net/tag/server/" title="server">server</a>, <a href="https://www.iamivan.net/tag/database/" title="database">database</a>, <a href="https://www.iamivan.net/tag/%e8%84%9a%e6%9c%ac/" title="脚本">脚本</a>, <a href="https://www.iamivan.net/tag/%e6%97%a5%e5%bf%97/" title="日志">日志</a>, <a href="https://www.iamivan.net/tag/gui/" title="gui">gui</a>, <a href="https://www.iamivan.net/tag/restore/" title="restore">restore</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>SQL SERVER完整、差异和事务日志备份及还原(脚本和GUI实现)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPNYrz.html" rel="bookmark">SQL Server误区：在破坏日志备份链后需要完整备份来重新开始日志链</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				误区 #20:在破坏日志备份链之后,需要一个完整备份来重新开始日志链 错误 事务日志备份会备份自上次事务日志备份以来所有的事务日志(如果从来没有过日志备份的话,那就从上一次完整备份开始).有好几种类型的操作会中断事务日志的连续性,也就是说除非重新开始新的日志链,SQL Server无法再进行日志备份.下面这几种操作都有可能引起日志链断裂: 由完整恢复模式或大容量事务日志恢复模式转为简单恢复模式 从数据库镜像进行恢复 备份日志时指定了NO_LOG 或 WITH TRUNCATE_ONLY(还好在S			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGjKQop.html" rel="bookmark">SQL大型事务日志备份与修复问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问:我在备份时注意到一些异常现象,希望您能解释一下.我们需要经常备份 62GB 的生产数据库,以刷新应用程序开发人员所使用的数据.我们总是先删除旧副本然后再还原新副本.还原的副本与生产数据库大小相同,而且数据看起来也一样,但是与备份过程相比,还原过程所需的时间要长很多.这是怎么回事?为什么还原比备份需要更长的时间? 答:其实这不属于异常现象.根据您所处的环境,这种现象通常是预料之中的.备份和还原所需的时间之所以不同,是由于每个流程必须执行的步骤不同. 备份数据库包含两个步骤.主要就是对数据库执行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEERRZb.html" rel="bookmark">一步一步学SQL Server BI 7：事务，错误输出，事件处理，日志记录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				和其它程序一样,SSIS包同样需要健壮,稳定的运行,这样的程序才有可靠性和可伸缩性.SSIS提供了如下方面的支持: 1.事务: 可以对一个程序包设置成一个或者多个事务,甚至可以对两个程序包设置成一个事务.为了保证数据的一致性,你还可以DTC事务或者SQL Server引擎级的事务. 2.检查点: 用来记录一个程序包出错时任务的运行情况,以便程序包再次启动时,直接从发生错误的任务直接执行. 3.错误输出:即使再完美的程序也会有错误,尤其对于数据流中的任务来说,及有可能由于格式,类型等问题,导致这一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5NaLRz.html" rel="bookmark">关于SQL Server 2005 的自动远程数据库备份</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:(原创)关于SQL Server 2005 的自动远程数据库备份 由于项目需要,需要对目标服务器上的数据库每天进行备份并转移,查阅网上的一些帮助,结合自己的实际需要,写了这篇文章,希望对有同样需求的朋友有所帮助.目标服务器:192.168.1.197,备份服务器:192.168.0.194 1.在备份服务器上新建一个文件夹(我的是C:\DbBackupTest),首先要确定对备份服务器要有足够的权限(权限设置如下图所示),最好是&quot;Administrators&quot;组账户.其次 到备份			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeajBNz.html" rel="bookmark">SQL Server学习笔记之事务、锁定、阻塞、死锁用法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了SQL Server学习笔记之事务.锁定.阻塞.死锁用法.分享给大家供大家参考,具体如下: 1.事务 隐式事务 /*================================================================== 当以create,drop, fetch,open, revoke,grand, alter table,select,insert,delete,update,truncate table 语句首先执行的时候,SQL Server会话			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1lP0Kb.html" rel="bookmark">SQL Server数据库状态监控 - 错误日志</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				无论是操作系统 (Unix 或者Windows),还是应用程序 (Web 服务,数据库系统等等) ,通常都有自身的日志机制,以便故障时追溯现场及原因.Windows Event Log和 SQL Server Error Log就是这样的日志, PS: SQL Server 中的错误日志 (Error Log) 类似于 Oracle中的alert 文件. 一. 错误日志简介 1. Windows事件日志与SQL Server 错误日志 Windows事件日志中,应用程序里的SQL Server和			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b320Nmz.html" rel="bookmark">2&period; SQL Server数据库状态监控 - 错误日志</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:2. SQL Server数据库状态监控 - 错误日志 无论是操作系统 (Unix 或者Windows),还是应用程序 (Web 服务,数据库系统等等) ,通常都有自身的日志机制,以便故障时追溯现场及原因.Windows Event Log和 SQL Server Error Log就是这样的日志, PS: SQL Server 中的错误日志 (Error Log) 类似于 Oracle中的alert 文件. 一. 错误日志简介 1. Windows事件日志与SQL Server 错误日志			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVqj3z.html" rel="bookmark">SQL Server恢复模型之批量日志恢复模式&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				你是否想知道为什么事务日志文件会变得越来越大?事务日志有时候甚至会比你的实际数据库文件还要大,尤其是在应用数据仓库的情况下.为什么会发生这种情况呢?如何控制其大小?数据库恢复模型如何控制事务日志增长?在本系列文章中,我们就将一一给出解答. 批量日志恢复模式 批量日志恢复模式与完整恢复模式类似,都预期会有大批量的数据修改操作(例如,创建索引,SELECT INTO,INSERT SELECT,BCP,BULKINSERT),在这种情况下可以最小化日志记录量,因此它降低了性能影响.但是同时代价就是你			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQjB0z.html" rel="bookmark">sql server 数据库操作报错&OpenCurlyDoubleQuote;日志不可用&rdquo;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 sql server 数据库操作报错&quot;日志不可用&quot; 在操作数据库时查询信息操作没有问题,但增删改操作时就会报下面的错误请问是什么原因: 消息 9001,级别 21,状态 1,第 2 行 数据库 'hrtest1' 的日志不可用.有关相应错误消息,请查看事件日志.修复所有错误后重新启动数据库. 解决方案 SQL Server 数据库操作关于SQL Server数据库日志已满的解决方法SQL Server 数据库操作总结(sql语法的使用) 解决方案二: recovery下数据库			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNvWWM.html" rel="bookmark" class="title">对于http中讲的盲中继理解不了。</a>
					<div>
						问题描述 对于http中讲的盲中继理解不了. 中继:中继是一个代理, 对于一些盲中继,可能出现一些问题 .例如持久化连接的问题,忙中继可能不识别持久化连接的标识,导致客户端和服务器端以为自己建立的是持 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlAkap.html" rel="bookmark" class="title">php中抽象类和接口的概念以及区别</a>
					<div>
						本篇文章是对php中抽象类和接口的概念以及区别进行了详细的分析介绍,需要的朋友参考下   复制代码 代码如下: //抽象类的定义: abstract class ku{ //定义一个抽象类 abstr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv4QVz.html" rel="bookmark" class="title">在ASP与ASP&period;NET之间共享对话状态&lpar;1&rpar;</a>
					<div>
						asp.net ［前言:］ASP.NET是微软提供的最新的开发基于Web的应用程序的技术.它提供了大量的比传统ASP脚本技术的好处,包括: 1)通过把UI表现层(presentation)与商业逻辑( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz79x5M.html" rel="bookmark" class="title">JDK、JRE和JVM的区别与联系</a>
					<div>
						很多朋友可能跟我一样,已经使用JAVA开发很久了,可是对JDK,JRE,JVM这三者的联系与区别,一直都是模模糊糊的. 今天特写此文,来整理下三者的关系. JDK : Java Development ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgK4PmM.html" rel="bookmark" class="title">MASM32编程实现窗口渐入渐出效果</a>
					<div>
						因为工作太忙,好久没写程序代码了,不过编写程序的乐趣令我乐此不疲. 天天跟电脑打交道,一忙起来就忘了休息,弄得眼睛都花了~ 为了保护眼睛,偶决定写一个定时强制休息的程序~ 虽然现在这类程序已有不少,不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Aw9Ap.html" rel="bookmark" class="title">浅谈算法和数据结构  五 优先级队列与堆排序</a>
					<div>
						在很多应用中,我们通常需要按照优先级情况对待处理对象进行处理,比如首先处理优先级最高的对象,然后处理次高的对象.最简单的一个例子就是,在手机上玩游戏的时候,如果有来电,那么系统应该优先处理打进来的电话 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RlWdp.html" rel="bookmark" class="title">ISP无线接入系统</a>
					<div>
						ISP集团用户微波干线接入需求与应用分析 计算机网络通信协议为TCP/IP: 至少提供&gt;64kbps数据通信率: 由本地路由器实现网络隔离: 建立二级网络,选择地理条件较好的用户建立第二级中心, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7Q0xM.html" rel="bookmark" class="title">jquery触发a标签跳转事件示例代码</a>
					<div>
						本文为大家详细介绍下如何使用jquery触发a标签的跳转事件,感兴趣的朋友可以参考下哈,希望对大家有所帮助   1.写入&lt;a&gt;标签: &lt;a target=&quot;_blank&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkR0db.html" rel="bookmark" class="title">打不开win7系统注册表的解决办法</a>
					<div>
						  1.按组合键(win+R)打开运行窗口,在命令框中输入&quot;gpedit.msc&quot;,回车确认,如下图所示: 2.打开本地组策略编辑器界面后,我们依次点击展开&quot;用户配置-管 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oxDab.html" rel="bookmark" class="title">什么是电脑窗口</a>
					<div>
						  1. 窗口的组成 基本上我们所有的操作都离不了窗口,我们可以在窗口中存放.移动文件;在窗口中打开.执行应用程序.双击&quot;我的电脑&quot;,打开&quot;我的电脑&quot;窗口,基本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YjmKM.html" rel="bookmark" class="title">&lbrack;Android&rsqb;BaseExpandableListAdapter实现可折叠的列表</a>
					<div>
						使用BaseExpandableListAdapter 可以实现所谓的可折叠的列表,例如QQ里好友的分组的功能. 基于基于BaseExpandableListAdapter扩展的ExpandableL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN72Qyp.html" rel="bookmark" class="title">DockOne微信分享（八十七）：基于Docker的开发云提高资源利用率的实践</a>
					<div>
						本文讲的是DockOne微信分享(八十七):基于Docker的开发云提高资源利用率的实践[编者的话]Docker的出现,为更简便.更细粒度地对云资源的调控提供了一个强有力的支撑,WeX5开发者云基于R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwErop.html" rel="bookmark" class="title">Resin搭建JSP环境</a>
					<div>
						简单介绍: Resin是CAUCHO公司的产品,是一个非常流行的支持servlets和jsp的引擎,速度非常快.要比Tomcat快3倍左右.Resin本身包含了一个支持HTTP/1.1的WEB服务器. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bam1anb.html" rel="bookmark" class="title">Linux系统小技巧（6）：刀锋组合-strace和wireshark工具</a>
					<div>
						首先声明下,此处wireshark,可以替换为tcpdump.同样,strace偶尔也可以替换为ltrace,只要熟悉库函数就好. wireshark和strace,对于黑客而言,都是工具箱中的必备工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NVgLM.html" rel="bookmark" class="title">《Java EE 7精粹》&mdash;&mdash; 2&period;6 Web Fragment</a>
					<div>
						2.6 Web Fragment 包含在库或框架JAR包的META-INF目录中的一个web fragment片段是部分或全部在web.xml文件中.如果这个框架绑定在WEB-INF/lib目录中,容 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOl169b.html" rel="bookmark" class="title">盘点常用路由器默认初始用户名和密码</a>
					<div>
						路由器默认初始用户名和密码集合 如下所总结,希望对于忘记自己路由器 账户信息的读者能够在以下内容中找到属于你的路由器默认初始用户名和密码.全向QL168010.0.0.2, 用户名:admin密码是q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Ye6rM.html" rel="bookmark" class="title">vrptrw-vrptw问题，没有pickup所对应的delivery</a>
					<div>
						问题描述 vrptw问题,没有pickup所对应的delivery vrptw问题那几个经典数据集中的数据为什么不像问题描述的那样,第i个需求与第i+n的需求的demand是一样的呢?就是为什么没有p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rBEap.html" rel="bookmark" class="title">字符串替换-java如何将字符串的所有括号中指定字符替换掉？（正则表达式或者其它方法）</a>
					<div>
						问题描述 java如何将字符串的所有括号中指定字符替换掉?(正则表达式或者其它方法) 要处理字符串 Medical Care ( Costs Inverse ## agonism ( Costs In ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRyJ6b.html" rel="bookmark" class="title">jvm&lpar;13&rpar;-线程安全与锁优化（转）</a>
					<div>
						0.1)本文部分文字转自&quot;深入理解jvm&quot;, 旨在学习 线程安全与锁优化 的基础知识: 0.2)本文知识对于理解 java并发编程非常有用,个人觉得,所以我总结的很详细: [1]概 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDelJWb.html" rel="bookmark" class="title">如果涉足H5或JS领域，你一定要了解JS保护！</a>
					<div>
						如果涉足H5或JS领域,你一定要了解JS保护! 如果你有网站.H5游戏产品.JS应用,你是否遇到过产品被复制.被修改.被攻击等问题?如果有,或者担心会发生.请看本文,本文所讲将帮你解决或避免这些问题. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBRWDz.html" rel="bookmark" class="title">心太大，难免自欺&lpar;转&rpar;</a>
					<div>
						  &quot;达沃斯论坛期间,我和我的好朋友.美国前总统克林顿一起吃饭,并讨论了全世界如何携手战胜全球金融危机--&quot;,这可是芮城钢自己说的.芮成钢的&quot;朋友&quot;可不止这一位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60AkAz.html" rel="bookmark" class="title">HBase &ndash; 存储文件HFile结构解析</a>
					<div>
						HFile是HBase存储数据的文件组织形式,参考BigTable的SSTable和Hadoop的TFile实现.从HBase开始到现在,HFile经历了三个版本,其中V2在0.92引入,V3在0.9 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBX4jz.html" rel="bookmark" class="title">Oracle中的rownum与DB2中的row&lowbar;number&lpar;&rpar;over&lpar;&rpar;</a>
					<div>
						问题描述 Oracle中的rownum与DB2中的row_number()over() select rownum , m.* from (select '汇总' as MENUNAMES,count ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xmovb.html" rel="bookmark" class="title">双12之后，看1218&mdash;&mdash;李开复有话说</a>
					<div>
						由北京供销大数据集团举办的 &quot;加快大数据中心一体化进程·2017北京峰会&quot;将在12月18日下午于北京北苑大酒店召开.政府领导.国际知名行业领袖.大数据行业专家及北京供销大数据集团的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZO2vp.html" rel="bookmark" class="title">C语言二叉树遍历的问题</a>
					<div>
						问题描述 C语言二叉树遍历的问题 #include&lt;stdio.h&gt; #include&lt;stdlib.h&gt; typedef struct node { int num; str ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0GKlp.html" rel="bookmark" class="title">《Java EE 7精粹》&mdash;&mdash; 导读</a>
					<div>
						前言 Java EE 7平台建立在以前的版本之上,侧重于提高生产力和拥抱HTML5.本书面向的是想快速概览这个平台和回来复习基础知识的读者. 本书提供了Java EE 7平台中关键规范的概述(每章一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKP8KM.html" rel="bookmark" class="title">优酷土豆今日推出互动娱乐平台星梦测试版</a>
					<div>
						摘要: 查看最新行情 新浪科技讯 北京时间4月9日晚间消息, 优酷土豆 (NYSE: YOKU )近日推出了互动娱乐平台星梦( xingmeng.com )测试版,允许数百万的粉丝直接与其喜欢的名人. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ26wkz.html" rel="bookmark" class="title">Js与Jq获取浏览器和对象值的方法&lowbar;javascript技巧</a>
					<div>
						JS and Jquery 都能获取页面元素的宽度,高度和相对位移等数值,那他们之间能相互转换或替代吗,写法又有哪些差异呢?本文将详细为你介绍. 1.Js获取浏览器高度和宽度 document.doc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7LxOp.html" rel="bookmark" class="title">王学集：PHPWind 精英站长沙龙开场致辞</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 各位嘉宾.各位站长朋友,下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPoj6p.html" rel="bookmark" class="title">《Clojure数据分析秘笈》&mdash;&mdash;3&period;6节使用ensure维护一致性</a>
					<div>
						3.6 使用ensure维护一致性有时在使用STM时,想在引用集合中间维护一致性,但不需要修改其中一部分的值.可以使用ensure函数来标明STM应该引入事务当中其他的引用.通过确保数据结构保持同步和 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
